Bug 107411 - FILEOPEN: RTF: LibreOffice hangs at import time
Summary: FILEOPEN: RTF: LibreOffice hangs at import time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.4.0
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2017-04-25 11:54 UTC by Xisco Faulí
Modified: 2017-04-28 11:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-04-25 11:54:35 UTC
Steps to reproduce:
1. Open attachment 98599 [details] from bug 78370

Observed behaviour: LibreOffice hangs at import time. if file is displayed, everything is just in one page

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 7635e0c1c7f821a1081f8e3868f641ae74a172d6
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.4.0.0.alpha0+
Build ID: 5a5889d1e1bd17c16930b2132d8c2674fb7fa05a
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-04-25 12:04:15 UTC
Same result with attachment 67935 [details] from bug 55504
Comment 2 Telesto 2017-04-25 17:41:35 UTC
Confirming hang and wrong page layout with:
Version: 5.4.0.0.alpha0+
Build ID: a917902c48f21d04039da86048c5c36555137d7e
CPU threads: 4; OS: Windows 6.2; UI render: GL; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-04-24_23:35:22
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Xisco Faulí 2017-04-26 23:48:46 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-04-01 15:43:04 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-04-01 16:45:52 (GMT)
commit	b993942622897fc64a1f7462189fa0463eb30e1c (patch)
tree	2e2e23526a12986e6148acdb51e84b817421e0dc
parent	62961938cab795f8b178f4049f2efca5a9e251df (diff)
ubsan: use WrapTextMode_MAKE_FIXED_SIZE instead of -1 as unset flag

Bisected with bibisect-linux-64-5.4

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2017-04-27 14:32:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3eda8234acf09cd5a31cdcde76f04631a51fcc37

Resolves: tdf#107411 LibreOffice hangs at RTF import time

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-04-28 11:33:01 UTC
Verified in

Version: 5.4.0.0.alpha0+
Build ID: 3a36cf434fb4a967c9ea767cb7ac5f4da0502a0d
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-04-28_06:33:58
Locale: es-ES (es_ES); Calc: group